Summary: A GNU tool for automatically configuring source code.
Name: autoconf
Version: 2.13
Release: 5
Copyright: GPL
Group: Development/Building
Source: ftp.gnu.ai.mit.edu:/pub/gnu/autoconf-2.12.tar.gz
Requires: gawk m4
Source: ftp://prep.ai.mit.edu/pub/gnu/autoconf/autoconf-%{version}.tar.gz
Patch0: autoconf-2.12-race.patch
Patch1: autoconf-2.13-mawk.patch
Patch2: autoconf-2.13-notmp.patch
Prereq: /sbin/install-info
Requires: gawk, m4, mktemp, perl
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Packager: Frank Meurer <meurer@gmx.de>

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
## we don't want configure to use mawk
#if [ -f /usr/bin/mawk ]; then
#    mv /usr/bin/mawk /usr/bin/mawk.tmp
#    REPLACEMAWK=1
#fi
./configure --prefix=/usr
#if [ "$REPLACEMAWK" = "1" ]; then
#    mv /usr/bin/mawk.tmp /usr/bin/mawk
#fi
make datadir=/usr/lib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info

make prefix=$RPM_BUILD_ROOT/usr install

gzip -9nf $RPM_BUILD_ROOT/usr/info/autoconf.info*

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT/usr/info/standards*
cp install-sh $RPM_BUILD_ROOT/usr/share/autoconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/autoconf.info.gz /usr/info/dir

%preun
/sbin/install-info --del /usr/info/autoconf.info.gz /usr/info/dir


%files
/usr/info/autoconf.info*
/usr/bin/autoconf
/usr/bin/autoheader
/usr/bin/autoreconf
/usr/bin/autoscan
/usr/bin/autoupdate
/usr/bin/ifnames
/usr/share/autoconf

%changelog

* Fri Oct  5 2001 Frank Meurer <meurer@gmx.de>

- Linux/mac68k

